NewWacht Bench is live — AI-assisted development for Wacht

Update Deployment Email Template

PATCH
/settings/email-templates/{template_name}

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

template_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.wacht.dev/settings/email-templates/string" \  -H "Content-Type: application/json" \  -d '{    "template_name": "string",    "template_data": "string",    "template_from": "string",    "template_reply_to": "string",    "template_subject": "string"  }'
{
  "template_name": "string",
  "template_data": "string",
  "template_from": "string",
  "template_reply_to": "string",
  "template_subject": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}